# org.apache.flume.channel.file.encryption

## Interfaces

- KeyProvider.Builder

## Classes

- AESCTRNoPaddingProvider
- AESCTRNoPaddingProvider.DecryptorBuilder
- AESCTRNoPaddingProvider.EncryptorBuilder
- CipherProvider
- CipherProvider.Decryptor
- CipherProvider.Decryptor.Builder
- CipherProvider.Encryptor
- CipherProvider.Encryptor.Builder
- CipherProviderFactory
- EncryptionConfiguration
- JCEFileKeyProvider
- JCEFileKeyProvider.Builder
- KeyProvider
- KeyProviderFactory

## Enums

- CipherProviderType
- KeyProviderType

## Exceptions

- DecryptionFailureException